Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.neoagent.io/public-api/skills \ --header 'Authorization: Bearer <token>'
{ "data": [ { "description": "<string>", "file_paths": [ "<string>" ], "id": "<string>", "name": "<string>", "slug": "<string>", "source_run_id": "<string>", "updated_at": "<string>" } ], "meta": { "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "timings_ms": {}, "pagination": { "has_more": true, "next_cursor": "<string>" }, "warnings": [ "<string>" ] } }
The MSP’s authored skills (metadata only). Read one whole with GET /skills/.
Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).
Authorization: Bearer <token>
<token>
neo_sk_<env>_<secret>
Success.
Show child attributes